### Hierarchy

- AudioNodeOptions
  - AudioWorkletNodeOptions

## Index

### Properties

- channelCount
- channelCountMode
- channelInterpretation
- numberOfInputs
- numberOfOutputs
- outputChannelCount
- parameterData
- processorOptions

## Properties

### Optional channelCount

channelCount: undefined | number

Inherited from AudioNodeOptions.channelCount

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:124

### Optional channelCountMode

channelCountMode: ChannelCountMode

Inherited from AudioNodeOptions.channelCountMode

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:125

### Optional channelInterpretation

channelInterpretation: ChannelInterpretation

Inherited from AudioNodeOptions.channelInterpretation

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:126

### Optional numberOfInputs

numberOfInputs: undefined | number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:149

### Optional numberOfOutputs

numberOfOutputs: undefined | number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:150

### Optional outputChannelCount

outputChannelCount: number[]

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:151

### Optional parameterData

parameterData: Record<string, number>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:152

### Optional processorOptions

processorOptions: any

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:153

Generated using TypeDoc